post
https://api.repsly.com/v3/import/productListEntity
The endpoint is used to import product lists (defined list entities) from your system to Repsly. Important: Partial updates are allowed (see Action field in Products, Places and Accounts)
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request definition
Keys that determine which records to update or insert are marked with a blue diamond 🔹, while the required keys are marked with a red triangle 🔺
| Name | Type | Description |
|---|---|---|
| Name 🔺 🔹 | string | The product list name. This is the product list's unique identifier |
| Type 🔺 | string | Name of the product list tpye (must correspond to a type defined in the database) |
| ValidFrom | DateTime | Start of the validity period for this product list (can be null) |
| ValidTo | DateTime | End of the validity period for this product list (can be null) |
| Products | List | List of products associated with this list |
| Products.Code | string | Identifier (Code) of the product |
| Products.Action | string | What will be done with this product's presence in this list. Allowed values: Add | Remove |
| Places | List | List of places (clients) this product list is assigned to |
| Places.Code | string | Identifier (Code) of the place |
| Places.Action | string | What will be done with this place's assignment to the list. Allowed values: Add | Remove |
| Accounts | List | List of accounts this product list is assigned to |
| Accounts.Code | string | Identifier (Code) of the account |
| Accounts.Action | string | What will be done with this account's assignment to the list. Allowed values: Add | Remove |
Response definition
| Name | Type | Description |
|---|---|---|
| Code | Integer | Error identifier (0 = no errors) |
| Message | String (255) | Response affirmative or error message |